class TreasureCard:

  def __init__(self):
    self.treasures = [36, 33, 29, 27, 24]
    self.state = -1 # disabled

  def enable(self):
    self.state = 0 # 0 means 0 treasures have been found

  def getFoundNumber(self):
    if self.state == -1:
      print("Treasure hunt has not started yet or is completed.")
      return False
    return self.state

  def takeTreasure(self):
    if self.state == -1:
      print("Treasure hunt has not started yet or is completed.")
      return False
    print("Congrats! You obtained $" + str(self.treasures[self.state]))
    self.state = self.state + 1
    if self.state == 5:
      print("All treasures have been found.")
      self.state = -1 # effectively disable treasure card
